# Class PointIterator

java.lang.Object
org.jmol.bspt.PointIterator

public class PointIterator extends Object

## Constructor Summary

Constructors
Constructor
Description
`PointIterator()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`withinDistPoints(float distance, P3 pt, P3[] ap3, P3[] ap31, BS bsSelected, Object[] ret)`
carry out various functions of the within() script function

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PointIterator

public PointIterator()

## Method Details

### withinDistPoints

public static int withinDistPoints(float distance, P3 pt, P3[] ap3, P3[] ap31, BS bsSelected, Object[] ret)
carry out various functions of the within() script function

Parameters:
  `distance` - 0 for closest only
  `pt` - if not null and pt.x == Float.NaN, this is an internal comparison, to return a "cleaned" list of points
  `ap3` - the list of points, required
  `ap31` - a second list of points, optional
  `bsSelected` - TODO
  `ret` - null, "", int[], Lst<T3>, or P3
Returns:
  T.nada, T.string, T.array, T.list, T.point